#! /bin/sh -e

# DP: Ignore the bootstrap comparision failure

dir=
if [ $# -eq 3 -a "$2" = '-d' ]; then
    pdir="-d $3"
    dir="$3/"
elif [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch)
        patch $pdir -f --no-backup-if-mismatch -p0 < $0
        ;;
    -unpatch)
        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
        ;;
    *)
        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
        exit 1
esac
exit 0

--- gcc/Makefile.in~	2004-02-06 08:03:12.000000000 +0100
+++ gcc/Makefile.in	2004-02-14 10:27:19.000000000 +0100
@@ -3567,7 +3567,9 @@
 	if [ -f .bad_compare ]; then \
 	  echo "Bootstrap comparison failure!"; \
 	  cat .bad_compare; \
-	  exit 1; \
+	  echo ""; \
+	  echo "Ignore the comparision failure!"; \
+	  true; \
 	else \
 	  case "$@" in \
 	    *-lean ) rm -rf stage$$stage ;; \
